#!/bin/bash

set -e

ls ~/packages

for ((i=1;i<10;i++))
do
  reprepro -Vb /var/www/html/packages includedeb $2 ~/packages/*$1*.deb &&
  {
    echo "Updated ... ${i}"
    reprepro -b /var/www/html/packages list $2
    rm -r ~/packages/*$1*.deb
    exit 0
  } || {
    echo "Try another time ... ${i}"
    sleep 5
  }

done

exit 1

